ONVIF::PTZ::Types::IPv6NetworkInterfaceSetConfiguration(3)

NAME
ONVIF::PTZ::Types::IPv6NetworkInterfaceSetConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType IPv6NetworkInterfaceSetConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Enabled

•   AcceptRouterAdvert

•   Manual

•   DHCP

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::IPv6NetworkInterfaceSetConfiguration
   Enabled =>  $some_value, # boolean
   AcceptRouterAdvert =>  $some_value, # boolean
   Manual =>  { # ONVIF::PTZ::Types::PrefixedIPv6Address
     Address => $some_value, # IPv6Address
     PrefixLength =>  $some_value, # int
   },
   DHCP => $some_value, # IPv6DHCPConfiguration
 },

AUTHOR
Generated by SOAP::WSDL